# Update group

Updates the Group specified in the URL.

_This operation is only available to group administrators and system administrators._

Endpoint: PUT /groups/{groupId}
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `groupId` (number, required)
    ID of the group being accessed

## Request fields (application/json):

  - `name` (string)
    name (Optional)

Must be unique within the organization account.
    Example: "Renamed group"

  - `description` (string)
    Description (optional).
    Example: "Some new description"

  - `ownerId` (number)
    ownerId (optional)

Id of an admin user to whom the group ownership is transferred.
    Example: 94094820842

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (object)

  - `result.id` (number)
    Group ID.
    Example: 4583173393803140

  - `result.name` (string)
    Group name.
    Example: "Group 1"

  - `result.description` (string)
    Group description.
    Example: "My group"

  - `result.owner` (string)
    Group owner’s email address.
    Example: "john.doe@smartsheet.com"

  - `result.ownerId` (number)
    Group owner's user ID.
    Example: 2331373580117892

  - `result.createdAt` (any)

  - `result.modifiedAt` (any)

## Response 400 fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.

## Response 500 fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


